package com.elab.mq.model;


import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author liuhx
 * @create 2019/05/16 19:32
 * @email liuhx@elab-plus.com
 **/
@Table(name = "mq_consumer", catalog = "elab_db")
public class ConsumerEntity {

    @Id
    private Integer id;

    @Column(name = "producer_id")
    private Integer producerId;

    @Column(name = "module_name")
    private String moduleName;
    @Column(name = "msg_id")
    private String msgId;

    @Column(name = "module_method")
    private String moduleMethod;
    @Column(name = "tag")
    private String tag;
    @Column(name = "cat_id")
    private String catId;

    @Column(name = "house_id")
    private Integer houseId;

    @Column(name = "topic_id")
    private String topicId;

    @Column(name = "content")
    private String content;

    @Column(name = "consumer_status")
    private Integer consumerStatus;

    @Column(name = "retry_count")
    private Integer retryCount;

    /**
     * 状态：1  有效  -1  无效
     */
    @Column(name = "status")
    
    private Integer status;

    /**
     * 创建时间
     */
    @Column(name = "created")
    
    private Date created;

    /**
     * 修改时间
     */
    @Column(name = "updated")
    
    private Date updated;

    /**
     * 创建者
     */
    @Column(name = "creator")
    
    private String creator;

    /**
     * 修改者
     */
    @Column(name = "updator")
    
    private String updator;

    public String getTag() {
        return tag;
    }

    public String getCatId() {
        return catId;
    }

    public void setCatId(String catId) {
        this.catId = catId;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public String getMsgId() {
        return msgId;
    }

    public void setMsgId(String msgId) {
        this.msgId = msgId;
    }

    public String getModuleMethod() {
        return moduleMethod;
    }

    public void setModuleMethod(String moduleMethod) {
        this.moduleMethod = moduleMethod;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getProducerId() {
        return producerId;
    }

    public void setProducerId(Integer producerId) {
        this.producerId = producerId;
    }

    public String getModuleName() {
        return moduleName;
    }

    public void setModuleName(String moduleName) {
        this.moduleName = moduleName;
    }

    public Integer getHouseId() {
        return houseId;
    }

    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    public String getTopicId() {
        return topicId;
    }

    public void setTopicId(String topicId) {
        this.topicId = topicId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getConsumerStatus() {
        return consumerStatus;
    }

    public void setConsumerStatus(Integer consumerStatus) {
        this.consumerStatus = consumerStatus;
    }

    public Integer getRetryCount() {
        return retryCount;
    }

    public void setRetryCount(Integer retryCount) {
        this.retryCount = retryCount;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreated() {
        return created;
    }

    public void setCreated(Date created) {
        this.created = created;
    }

    public Date getUpdated() {
        return updated;
    }

    public void setUpdated(Date updated) {
        this.updated = updated;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getUpdator() {
        return updator;
    }

    public void setUpdator(String updator) {
        this.updator = updator;
    }
}
